% This function creates the input needed for simulation of the machinery
% Author:   Peter Tenfjord and Martin Bakke 
% Date:     01.06.2017


function EngDat=engine_pre()

%Please make sure that the the amount of engines specified here matches the
%number of engines in the EngineRoom block of the model main.slx

%% Specify Machinery Configuration for the ship %%
NumEng=1; %Number of engines (excluding gensets), max 4 engines
MCR1=10980; %Maximum Continuous Rating [kW] of engine 1, biggest engine first
%MCR2=10000; %Maximum Continuous Rating [kW] of engine 2
%MCR3=10000;%Maximum Continuous Rating [kW] of engine 3
%MCR4=5000;%Maximum Continuous Rating [kW] of engine 4

BSFC1=177; % Break Specific Fuel Consumption [g/kWh], engine 1
%BSFC2=170; % Break Specific Fuel Consumption [g/kWh], engine 2
%BSFC3=170; % Break Specific Fuel Consumption [g/kWh], engine 3
%BSFC4=165; % Break Specific Fuel Consumption [g/kWh], engine 4

x=0.615; % [%] Specify the optimal load for the engines (the same for all engines)

%% Create input file to be read in simulation
% EngDat=zeros(NumEng,3);

if NumEng==1
    EngDat=[MCR1, BSFC1, x];
elseif NumEng==2
    EngDat=[MCR1, BSFC1, x;
            MCR2, BSFC2, x];
elseif NumEng==3
    EngDat=[MCR1, BSFC1, x;
            MCR2, BSFC2, x;
            MCR3, BSFC3, x];
elseif NumEng==4
    EngDat=[MCR1, BSFC1, x;
            MCR2, BSFC2, x;
            MCR3, BSFC3, x;
            MCR4, BSFC4, x];
end
end