% This function generates the inputfile for Veres, to be used during simulation%
% Author:   Peter Tenfjord and Martin Bakke 
% Date:     01.06.2017


function inputWrite(nrVel,Velocities,nrHead,Headings,nrPer,Periods)

coder.extrinsic('delete')
% coder.extrinsic('sprintf')

delete('input.hyd','input.log','input.out','input.re1','input.re2','input.str','input.swy','input.veres')

% fileName = sprintf('input%d.veres',time);
fileID = fopen('input.veres','w');

fprintf(fileID,''' PLEASE, DO NOT ALTER THIS INPUTFILE BY HAND ! \n');
fprintf(fileID,'''  \n');
fprintf(fileID,''' LOW_FILE_VERSION   PROG_VERSION \n');
fprintf(fileID,'      3.20      4.09\n');
fprintf(fileID,''' TEXT1...TEXT5 \n');
fprintf(fileID,'Run name:\n');                                                                       
fprintf(fileID,'Ship name: s175.mgf (imported)\n');                                                  
fprintf(fileID,'Loading condition description: Design waterline\n\n');                                 
                                                                                
fprintf(fileID,'ShipX exported data\n');                                                             
fprintf(fileID,'''   ICAL   IVISC  IMTCRD   IMETH  \n');
fprintf(fileID,'      -1       1      11       1       0\n');
fprintf(fileID,'''  IGFORC   IMONO IGMCAL   IADDR\n');
fprintf(fileID,'       0       1       1       1\n');
fprintf(fileID,'''  IOUTRE7  ISTRIP  IOUTPRESS  IOUTWAMIT IDUM(1)\n');
fprintf(fileID,'       0       1       0       0       0\n');
fprintf(fileID,''' IADDDA  IADDMA  IADDST\n');
fprintf(fileID,'       0       0       0\n');
fprintf(fileID,'''     XLPP   BREADTH   DRAUGHT    CBTHEO    CWTHEO        CM\n');
fprintf(fileID,'   175.000    25.400     9.500    0.5699    0.7040    0.9666\n');
fprintf(fileID,'''     WAVE\n');
fprintf(fileID,'     1.000\n');

%Changing nr of velocities / periods / headings
fprintf(fileID,'''  NOVEL  NWFRQU  ICOMFR   NHEAD  ITYPVELO\n');
fprintf(fileID,'       %f      %f       2       %f       2\n',nrVel,nrPer,nrHead);
fprintf(fileID,''' VELO(1) ... VELO(NOVEL)\n');
fprintf(fileID,'       %f\n',Velocities);
% fprintf(fileID,'      10.000    12.000    14.000    16.000\n');
fprintf(fileID,''' PERIOD(1) ... PERIOD(NWFRQU)\n');
fprintf(fileID,'       %f\n',Periods);
% fprintf(fileID,'      30.000    25.000    20.000    19.000    18.000    17.000\n');
% fprintf(fileID,'      16.000    15.500    15.000    14.500    14.000    13.500\n');
% fprintf(fileID,'      13.000    12.500    12.000    11.500    11.000    10.500\n');
% fprintf(fileID,'      10.000     9.500     9.000     8.500     8.000     7.500\n');
% fprintf(fileID,'       7.000     6.500     6.000     5.500     5.000     4.500\n');
% fprintf(fileID,'       4.000 \n');
fprintf(fileID,''' HEAD(1) ... HEAD(NOHEAD)\n');
fprintf(fileID,'       %f\n',Headings);
% fprintf(fileID,'      0.00   30.00   45.00   60.00   90.00  180.00\n');  
%end of change 
fprintf(fileID,'''  XG (aft from Lpp/2)    ZG\n');
fprintf(fileID,'     2.599     0.000\n');  
fprintf(fileID,'''          RMASS      EI44      EI55      EI66      EI64\n');
fprintf(fileID,'     24763996.00     8.331    43.750    43.750     0.000\n');  
fprintf(fileID,'''      GMT       GML\n');
fprintf(fileID,'     0.000     0.000\n');  
fprintf(fileID,''' Additional Damping Matrix : B(i,j) \n');
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,''' Additional nonlinear roll damping \n');
fprintf(fileID,'   0.0000E+00\n');  
fprintf(fileID,''' Additional Added Mass Matrix : A(i,j)\n');
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,''' Additional Stiffness Matrix : C(i,j)\n');
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00   0.0000E+00\n');  
fprintf(fileID,'           0           0\n');  
fprintf(fileID,''' Roll damping tanks\n');
fprintf(fileID,''' NTANK    TOTTANK\n');
fprintf(fileID,'           0           5\n');  
fprintf(fileID,''' TANK_ITYPE TANK_ON/OFF \n');
fprintf(fileID,'           0           0\n');  
fprintf(fileID,''' TANK DESCRIPTION TEXT \n');
fprintf(fileID,'Roll damping tank no. 1                        \n');                                                                                                                                                                                                                   
fprintf(fileID,'    0           0.000              0.000\n');  
fprintf(fileID,''' TANK_ITYPE TANK_ON/OFF \n');
fprintf(fileID,'           0           0\n');  
fprintf(fileID,''' TANK DESCRIPTION TEXT \n');
fprintf(fileID,'Roll damping tank no. 2                            \n');                                                                                                                                                                                                               
fprintf(fileID,'    0           0.000              0.000\n');  
fprintf(fileID,''' TANK_ITYPE TANK_ON/OFF \n');
fprintf(fileID,'           0           0\n');  
fprintf(fileID,''' TANK DESCRIPTION TEXT \n');
fprintf(fileID,'Roll damping tank no. 3                    \n');                                                                                                                                                                                                                       
fprintf(fileID,'    0           0.000              0.000\n');  
fprintf(fileID,''' TANK_ITYPE TANK_ON/OFF \n');
fprintf(fileID,'           0           0\n');  
fprintf(fileID,''' TANK DESCRIPTION TEXT \n');
fprintf(fileID,'Roll damping tank no. 4                      \n');                                                                                                                                                                                                                     
fprintf(fileID,'    0           0.000              0.000\n');  
fprintf(fileID,''' TANK_ITYPE TANK_ON/OFF \n');
fprintf(fileID,'           0           0\n');  
fprintf(fileID,''' TANK DESCRIPTION TEXT \n');
fprintf(fileID,'Roll damping tank no. 5            \n');                                                                                                                                                                                                                               
fprintf(fileID,'    0           0.000              0.000\n');  
fprintf(fileID,'           0           0\n');  
fprintf(fileID,''' NFOILS    TOTFOILS\n');
fprintf(fileID,'           0          20\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000\n');      
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000   \n');   
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,'           1  0.0000000E+00   20.00000       1.000000       1.000000    \n');  
fprintf(fileID,'           0           0           0           0           0\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'   87.50000      0.0000000E+00\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00  0.0000000E+00  0.0000000E+00   1.000000    \n');  
fprintf(fileID,'   1.000000      0.5000000      5.0000001E-02\n');  
fprintf(fileID,'  0.0000000E+00           1\n');  
fprintf(fileID,''' ZWLINE  SINK  TRIM\n');
fprintf(fileID,'   9.500000      0.0000000E+00  0.0000000E+00\n');  
fprintf(fileID,''' NSEC, NPOINT INTOFF\n');
fprintf(fileID,'          24          20           1\n');  
fprintf(fileID,''' ISEC = 0\n');
fprintf(fileID,'           0\n');  
fprintf(fileID,''' X_SECT0\n');
fprintf(fileID,'  -87.50000    \n');  
fprintf(fileID,''' Hull description file:\n');
fprintf(fileID,'C:\\Program Files (x86)\\ShipX\\root\\FleEF6BC1D7\\XShip49898A32\\LoaD8B60D05\\runs\\Run5212CDAF\\input\\shipx_geometry.mgf                                                                                                                                               \n');  
fprintf(fileID,'       1       1\n');  
fprintf(fileID,'       2       1\n');  
fprintf(fileID,'       3       1\n');  
fprintf(fileID,'       4       1\n');  
fprintf(fileID,'       5       1\n');  
fprintf(fileID,'       6       1\n');  
fprintf(fileID,'       7       1\n');  
fprintf(fileID,'       8       1\n');  
fprintf(fileID,'       9       1\n');  
fprintf(fileID,'      10       1\n');  
fprintf(fileID,'      11       1\n');  
fprintf(fileID,'      12       1\n');  
fprintf(fileID,'      13       1\n');  
fprintf(fileID,'      14       1\n');  
fprintf(fileID,'      15       1\n');  
fprintf(fileID,'      16       1\n');  
fprintf(fileID,'      17       1\n');  
fprintf(fileID,'      18       1\n');  
fprintf(fileID,'      19       1\n');  
fprintf(fileID,'      20       1\n');  
fprintf(fileID,'      21       1\n');  
fprintf(fileID,'      22       1\n');  
fprintf(fileID,'      23       1\n');  
fprintf(fileID,'      24       1\n');  
fprintf(fileID,''' Bilge keel description:\n');
fprintf(fileID,''' IBILGE\n');
fprintf(fileID,'     0\n');  
fprintf(fileID,''' ISEC      YBKI      ZBKI      BBKI\n');
fprintf(fileID,'     1      0.00      0.00      0.00\n');  
fprintf(fileID,'     2      0.00      0.00      0.00\n');  
fprintf(fileID,'     3      0.00      0.00      0.00\n');  
fprintf(fileID,'     4      0.00      0.00      0.00\n');  
fprintf(fileID,'     5      0.00      0.00      0.00\n');  
fprintf(fileID,'     6      0.00      0.00      0.00\n');  
fprintf(fileID,'     7      0.00      0.00      0.00\n');  
fprintf(fileID,'     8      0.00      0.00      0.00\n');  
fprintf(fileID,'     9      0.00      0.00      0.00\n');  
fprintf(fileID,'    10      0.00      0.00      0.00\n');  
fprintf(fileID,'    11      0.00      0.00      0.00\n');  
fprintf(fileID,'    12      0.00      0.00      0.00\n');  
fprintf(fileID,'    13      0.00      0.00      0.00\n');  
fprintf(fileID,'    14      0.00      0.00      0.00\n');  
fprintf(fileID,'    15      0.00      0.00      0.00\n');  
fprintf(fileID,'    16      0.00      0.00      0.00\n');  
fprintf(fileID,'    17      0.00      0.00      0.00\n');  
fprintf(fileID,'    18      0.00      0.00      0.00\n');  
fprintf(fileID,'    19      0.00      0.00      0.00\n');  
fprintf(fileID,'    20      0.00      0.00      0.00\n');  
fprintf(fileID,'    21      0.00      0.00      0.00\n');  
fprintf(fileID,'    22      0.00      0.00      0.00\n');  
fprintf(fileID,'    23      0.00      0.00      0.00\n');  
fprintf(fileID,'    24      0.00      0.00      0.00\n');  
fprintf(fileID,''' Global loads:\n');
fprintf(fileID,'''  IDUM  IMASS IGTM IDUM(1:2)\n');
fprintf(fileID,'       1       1       0       0       0\n');  
fprintf(fileID,''' NOXCUT\n');
fprintf(fileID,'           0\n');  
fprintf(fileID,'''  DUMMY(1:2)\n');
fprintf(fileID,'          0.0000          0.0000\n');  
fprintf(fileID,''' XCUTGL(I) rel. Lpp/2\n');
fprintf(fileID,''' NOYCUT\n');
fprintf(fileID,'           0\n');  
fprintf(fileID,''' TRANSVERSE MOMENT AXIS POSITION (x,z)\n');
fprintf(fileID,'         87.5000          0.0000\n');  
fprintf(fileID,''' YCUTGL(I)\n');
fprintf(fileID,''' NPMASS2D\n');
fprintf(fileID,'           0\n');  
fprintf(fileID,''' NPMASS3D\n');
fprintf(fileID,'           0\n');  
fprintf(fileID,''' SIMSHIP INPUT:\n');
fprintf(fileID,''' **************\n');
fprintf(fileID,'    1\n');  
fprintf(fileID,'''  IFMD\n');
fprintf(fileID,'       0\n');  
fprintf(fileID,''' Flexible mode file:\n');
fprintf(fileID,' \n');                                                                                                                                                                                                                                                                 
fprintf(fileID,'''  ISLF\n');
fprintf(fileID,'       0\n');  
fprintf(fileID,''' Slamming force file:\n');
fprintf(fileID,'   \n');                                                                                                                                                                                                                                                           
fprintf(fileID,''' Speed (knots), Heading (deg)\n');
fprintf(fileID,'          0.0000          0.0000\n');  
fprintf(fileID,'''  Simulated time (sec), IADVOPT, DT (sec), NSKIP\n');
fprintf(fileID,'         60.0000     0    0.500000E-01     3\n');  
fprintf(fileID,''' IREG ISPECT   Height    Period    Gamma\n');
fprintf(fileID,'     1     1     1.000     5.000     3.300\n');  
fprintf(fileID,''' Wave spectrum file:\n');
fprintf(fileID,'                                                                                                                                                                                                                                                                \n');  
fprintf(fileID,'           0           0\n');  
fprintf(fileID,'           0           0\n');  
fprintf(fileID,'           0   210.0000               1   1.000000    \n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'           0           5\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00   3.000000       3.000000    \n');  
fprintf(fileID,'   3.000000       3.000000      0.0000000E+00\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00   3.000000       3.000000    \n');  
fprintf(fileID,'   3.000000       3.000000      0.0000000E+00\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00   3.000000       3.000000    \n');  
fprintf(fileID,'   3.000000       3.000000      0.0000000E+00\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00   3.000000       3.000000    \n');  
fprintf(fileID,'   3.000000       3.000000      0.0000000E+00\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'   87.50000      0.0000000E+00  0.0000000E+00   3.000000       3.000000    \n');  
fprintf(fileID,'   3.000000       3.000000      0.0000000E+00\n');  
fprintf(fileID,''' IMTNLIMITS\n');
fprintf(fileID,'           1\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'           0\n');  
fprintf(fileID,'           0\n');  


fclose('all');

end